Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.util.cdk
Class UIComponentELTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.jboss.seam.ui.util.cdk.UIComponentELTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  UIComponentTagBase

    public abstract class UIComponentELTagBase

extends javax.faces.webapp.UIComponentELTag

Author:
  Maksim Kaszynski

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`UIComponentELTagBase()`

Method Summary
`protected void` | `setActionListenerProperty(javax.faces.component.UIComponent component, javax.el.MethodExpression actionListener)`
`protected void` | `setActionProperty(javax.faces.component.UIComponent component, javax.el.MethodExpression action)`
`protected void` | `setConverterProperty(javax.faces.component.UIComponent component, javax.el.ValueExpression converter)`
`protected void` | `setValidatorProperty(javax.faces.component.UIComponent component, javax.el.MethodExpression validator)`
`protected void` | `setValueChangeListenerProperty(javax.faces.component.UIComponent component, javax.el.MethodExpression valueChangeListener)`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, release, setBinding, setProperties, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class javax.faces.webapp.UIComponentTagBase
`getComponentType, getRendererType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### UIComponentELTagBase

    public UIComponentELTagBase()

Method Detail

### setActionListenerProperty

    protected void setActionListenerProperty(javax.faces.component.UIComponent component,
                                             javax.el.MethodExpression actionListener)

### setActionProperty

    protected void setActionProperty(javax.faces.component.UIComponent component,
                                     javax.el.MethodExpression action)

### setConverterProperty

    protected void setConverterProperty(javax.faces.component.UIComponent component,
                                        javax.el.ValueExpression converter)

### setValidatorProperty

    protected void setValidatorProperty(javax.faces.component.UIComponent component,
                                        javax.el.MethodExpression validator)

### setValueChangeListenerProperty

    protected void setValueChangeListenerProperty(javax.faces.component.UIComponent component,
                                                  javax.el.MethodExpression valueChangeListener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.